components:
  schemas:
    FabricAdapter_v1_5_3_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/FabricAdapter_v1_5_3_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    FabricAdapter_v1_5_3_FabricAdapter:
      additionalProperties: false
      description: A fabric adapter represents the physical fabric adapter capable
        of connecting to an interconnect fabric.  Examples include, but are not limited
        to, Ethernet, NVMe over Fabrics, Gen-Z, and SAS fabric adapters.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        ASICManufacturer:
          description: The manufacturer name for the ASIC of this fabric adapter.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the manufacturer name of
            the ASIC for the fabric adapter as defined by the manufacturer.
        ASICPartNumber:
          description: The part number for the ASIC on this fabric adapter.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the part number of the ASIC
            for the fabric adapter as defined by the manufacturer.
        ASICRevisionIdentifier:
          description: The revision identifier for the ASIC on this fabric adapter.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the revision identifier of
            the ASIC for the fabric adapter as defined by the manufacturer.
        Actions:
          $ref: '#/components/schemas/FabricAdapter_v1_5_3_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - null
          readOnly: true
        FabricType:
          $ref: http://redfish.dmtf.org/schemas/v1/Protocol.yaml#/components/schemas/Protocol_Protocol
          description: The configured fabric type of this fabric adapter.
          readOnly: false
          x-longDescription: This property shall contain the configured fabric type
            of this fabric adapter.
          x-versionAdded: v1_3_0
        FabricTypeCapabilities:
          description: An array of fabric types supported by this fabric adapter.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/Protocol.yaml#/components/schemas/Protocol_Protocol
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of fabric types
            supported by this fabric adapter.
          x-versionAdded: v1_3_0
        FirmwareVersion:
          description: The firmware version of this fabric adapter.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the firmware version for
            the fabric adapter as defined by the manufacturer.
        GenZ:
          $ref: '#/components/schemas/FabricAdapter_v1_5_3_GenZ'
          description: The Gen-Z specific properties for this fabric adapter.
          x-longDescription: This property shall contain the Gen-Z specific properties
            for this fabric adapter.
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Links:
          $ref: '#/components/schemas/FabricAdapter_v1_5_3_Links'
          description: The links to other resources that are related to this resource.
          x-longDescription: This property shall contain links to resources that are
            related to but are not contained by, or subordinate to, this resource.
        Location:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Location
          description: The location of the fabric adapter.
          x-longDescription: This property shall contain the location information
            of the fabric adapter.
          x-versionAdded: v1_1_0
        LocationIndicatorActive:
          description: An indicator allowing an operator to physically locate this
            resource.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: This property shall contain the state of the indicator
            used to physically identify or locate this resource.
          x-versionAdded: v1_4_0
        Manufacturer:
          description: The manufacturer or OEM of this fabric adapter.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain a value that represents the
            manufacturer of the fabric adapter.
        Model:
          description: The model string for this fabric adapter.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the information about how
            the manufacturer refers to this fabric adapter.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        PCIeInterface:
          $ref: http://redfish.dmtf.org/schemas/v1/PCIeDevice.yaml#/components/schemas/PCIeDevice_PCIeInterface
          description: The PCIe interface details for this fabric adapter.
          x-longDescription: This property shall contain details on the PCIe interface
            that connects this PCIe-based fabric adapter to its host.
        PartNumber:
          description: The part number for this fabric adapter.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the part number for the fabric
            adapter as defined by the manufacturer.
        Ports:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The link to the collection of ports that exist on the fabric
            adapter.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource collection
            of type `PortCollection`.
        SKU:
          description: The manufacturer SKU for this fabric adapter.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the SKU for the fabric adapter.
        SerialNumber:
          description: The serial number for this fabric adapter.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the serial number for the
            fabric adapter.
        SparePartNumber:
          description: The spare part number for this fabric adapter.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the spare part number for
            the fabric adapter as defined by the manufacturer.
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          description: The status and health of the resource and its subordinate or
            dependent resources.
          x-longDescription: This property shall contain any status or health properties
            of the resource.
        UUID:
          description: The UUID for this fabric adapter.
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_UUID
          - enum:
            - null
          readOnly: true
          x-longDescription: This property shall contain a universally unique identifier
            number for the fabric adapter.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall represent a physical fabric adapter capable
        of connecting to an interconnect fabric.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    FabricAdapter_v1_5_3_GenZ:
      additionalProperties: false
      description: Gen-Z related properties for a fabric adapter.
      properties:
        MSDT:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The Multi Subnet Destination Table for the component.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource collection
            of type `RouteEntryCollection` that represents the Gen-Z Core Specification-defined
            MSDT structure.
        PIDT:
          description: An array of table entry values for the Packet Injection Delay
            Table.
          items:
            nullable: true
            type: string
          readOnly: false
          type: array
          x-longDescription: This property shall contain an array of table entry values
            for the Gen-Z Core Specification-defined Packet Injection Delay Table
            for the component.
        RITable:
          description: An array of table entry values for the Responder Interface
            Table.
          items:
            nullable: true
            type: string
          readOnly: false
          type: array
          x-longDescription: This property shall contain an array of table entry values
            for the Gen-Z Core Specification-defined Responder Interface Table for
            the component.
        RequestorVCAT:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The Requestor Virtual Channel Action Table for the component.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource collection
            of type `VCATEntryCollection` that represents the Gen-Z Core Specification-defined
            REQ-VCAT structure.
          x-uriSegment: REQ-VCAT
        ResponderVCAT:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The Responder Virtual Channel Action Table for the component.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource collection
            of type `VCATEntryCollection` that represents the Gen-Z Core Specification-defined
            RSP-VCAT structure.
          x-uriSegment: RSP-VCAT
        SSDT:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The Single Subnet Destination Table for the component.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource collection
            of type `RouteEntryCollection` that represents the Gen-Z Core Specification-defined
            SSDT structure.
      type: object
      x-longDescription: This type shall contain Gen-Z related properties for a fabric
        adapter.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    FabricAdapter_v1_5_3_Links:
      additionalProperties: false
      description: The links to other resources that are related to this resource.
      properties:
        Endpoints:
          description: An array of links to the endpoints that represent the logical
            fabric connection to this fabric adapter.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of links to resources
            of type `Endpoint` that represent the logical fabric connections associated
            with this fabric adapter.
        Endpoints@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        MemoryDomains:
          description: An array of links to the memory domains associated with this
            fabric adapter.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: false
          type: array
          x-longDescription: This property shall contain an array of links to resources
            of type `MemoryDomain` that represent the memory domains associated with
            this fabric adapter.
          x-versionAdded: v1_3_0
        MemoryDomains@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties contained in this object shall conform to the Redfish
            Specification-described requirements.
        PCIeDevices:
          description: An array of links to the PCIe devices associated with this
            fabric adapter.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of links to resources
            of type `PCIeDevice` that represent the PCIe devices associated with this
            fabric adapter.
          x-versionAdded: v1_2_0
        PCIeDevices@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Processors:
          description: An array of links to the processors that this fabric adapter
            provides to a fabric.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of links to resources
            of type `Processor` that represent the processors that this fabric adapter
            provides to a fabric.
          x-versionAdded: v1_5_0
        Processors@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
      type: object
      x-longDescription: This Redfish Specification-described type shall contain links
        to resources that are related to but are not contained by, or subordinate
        to, this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    FabricAdapter_v1_5_3_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#FabricAdapter.v1_5_3.FabricAdapter'
x-copyright: Copyright 2014-2024 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-language: en
x-owningEntity: DMTF
x-release: '2022.3'
